/* Geral */
@font-face {
  font-family: "Good Times";
  src: url("../fonts/good-times.ttf") format("truetype");
}

html,
body {
  height: 100%;
  width: 100%;
  font-family: "Roboto", sans-serif !important;
}

:root {
  --primary: #ffb740 !important;
  --secondary: #585666 !important;
  --background: #ffffff !important;

  --heading: #585666 !important;
  --body: #706e7a !important;
  --inputs: #b1b0b8 !important;

  --diamond-text-color: #3f8efc;
  --gold-text-color: #fdc500;
  --silver-text-color: #6c757d;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Good Times" !important;
  color: var(--heading);
}

h1 {
  font-size: 60px !important;
}

h5 {
  font-size: 25px !important;
}

.title {
  margin: 50px 0 !important;
}

/* Id's */

#background {
  aspect-ratio: 1080/1080;
  width: 100%;
  background-position: center !important;
  background-size: cover !important;
  background-image: url("../img/background.png");
  background-attachment: fixed;
}

#header {
  height: 100vh;
}

#header-info {
  min-height: 80vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#header-enrollment, #header-enrollment-text {
  text-decoration: underline;
  transition: all 0.3s;
}

#header-enrollment:hover, #header-enrollment-text:hover {
  transform: scale(1.3);
}

#enrollment-logo {
  transition: all 0.3s;
}

#content-enrollment-text {
  text-decoration: none;
  transition: all 0.3s;
}

#content-enrollment-text:hover {
  transform: scale(1.05);
}

.brand-wrapper {
  height: 10rem !important;
}

#header-info h1,
#header-info h5 {
  visibility: hidden;
  opacity: 0%;
  animation: fade ease-out 1s 1.5s forwards;
  filter: drop-shadow(2px 2px 0.5px rgba(0, 0, 0, 0.33));
}

#header-logo {
  transition: all 0.2s;
  filter: drop-shadow(1px 3px 2px rgba(0, 0, 0, 0.4));
  height: 300px;
}

#header-logo:hover {
  transform: scale(1.025);
  transition: all 0.2s;
  filter: drop-shadow(1px 3px 3px rgba(0, 0, 0, 0.4));
}

#scroll-div {
  height: 50px;
  width: 50px;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

#scroll-href {
  visibility: hidden;
  opacity: 0%;
  animation: fade ease-out 1s 2.5s forwards;
  transition: 0.5s;
  color: white;
}

#scroll-href:hover {
  transition: 0.5s;
  font-size: 2.4rem !important;
}

#content {
  border-radius: 1rem;
}

.row {
  margin-bottom: 2rem;
}

#logo {
  transition: all 0.2s;
  filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.33));
}

#logo:hover {
  filter: drop-shadow(2px 3px 4px rgba(0, 0, 0, 0.33));
}

#social-media a {
  margin: 0 1%;
  color: white;
  filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.33));

  transition: all 0.2s linear;
}

#social-media a i {
  display: inline-block;
}

#social-media a:hover i {
  transform: scale(1.1);
  filter: drop-shadow(2px 3px 4px rgba(0, 0, 0, 0.33));
}

#intro-info {
  display: flex;
  justify-content: center;
  border: none !important;
}

#intro-info span {
  margin: 0px 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#intro-info .bi {
  padding: 5px 15px 5px 0 !important;
}

#intro-text {
  text-align: justify;
  /* text-align-last: center; */
  margin: 11px 7%;
  line-height: 28px;

  font-size: 18px;
}

#content-activity-main-container {
  margin: 4rem 0;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0.75rem;
}

@media only screen and (max-width: 1300px) {
  #content-activity-main-container {
    grid-template-columns: 1fr 1fr;
  }
}

#content-activity-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  text-align: center;
  font-size: 18px;
  padding: 1rem;
  border-radius: 20px;
}

@media only screen and (max-width: 1000px) {
  #content-activity-main-container {
    margin: 1rem 0;
    grid-template-columns: 1fr;
    gap: 0;
  }

  #content-activity-container {
    border: none;
    padding: 0.25rem;
  }
}

#content-activity {
  margin-top: 0.5rem;
}

#content-activity-text {
  white-space: pre-line;
  margin: 0 7%;
}

#content-activity-image {
  width: 150px;
  height: 150px;
  padding: 16px;
}

#catchy-phrase {
  font-size: 22px;
  margin: 20px 0px;
  letter-spacing: 3px;
}

#calendar-span>.bi-calendar-event::before,
#calendar-span:hover>.bi-calendar-event::before,
#alarm-span>.bi-alarm::before,
#alarm-span:hover>.bi-alarm::before,
#location-span>.bi-geo-alt::before,
#location-span:hover>.bi-geo-alt::before {
  transition: color 0.3s linear;
}

#calendar-span:hover>.bi-calendar-event::before {
  color: #e98d50;
  animation: calendar-spin 2s ease-in-out infinite;
}

#alarm-span:hover>.bi-alarm::before {
  color: #97b385;
  animation: alarm-shake 0.2s ease-in-out infinite;
}

#location-span:hover>.bi-geo-alt::before {
  color: #5bc9e1;
  animation: location-pointing 0.9s ease-in-out infinite;
}

#last-edition-wrapper {
  display: flex;
  justify-content: center;
  margin: 30px;
  filter: drop-shadow(2px 2px 3px rgba(0, 0, 0, 0.05));
}

#last-edition-wrapper:hover {
  filter: drop-shadow(2px 4px 4px rgba(0, 0, 0, 0.05));
}

#footer-animation {
  width: max-content;
  transition: all 0.5s;
}

#footer-animation:hover {
  transform: scale(1.05);
}

#last-edition-link {
  text-decoration: none;
}

#last-edition {
  font-family: "Good Times";
  font-size: 2.5em;
  color: white;
  transition: 0.3s;
  border: 5px double white;
  filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.33));
  border-radius: 20px;
  padding: 20px;
}

#last-edition:hover {
  transition: 0.3s;
  filter: drop-shadow(2px 3px 4px rgba(0, 0, 0, 0.33));
}


#stands-diamond div {
  height: 3px;
  background: var(--diamond-text-color);
  filter: drop-shadow(2px 2px 2px var(--diamond-text-color));
}

#stands-diamond-text {
  color: var(--diamond-text-color);
}

#stands-gold-text {
  color: var(--gold-text-color);
}

#stands-gold div {
  height: 3px;
  background: var(--gold-text-color);
  filter: drop-shadow(2px 2px 2px var(--gold-text-color));
}


#stands-silver-text {
  color: var(--silver-text-color);
}

#stands-silver div {
  height: 3px;
  background: var(--silver-text-color);
  filter: drop-shadow(2px 2px 2px var(--silver-text-color));
}

@media only screen and (max-width: 500px) {
  #stands-silver-text {
    font-size: 1.2rem !important;
  }
}

/* Icons */

/* applies to every icon with id "...-btn" */

i[class$="-btn"],
i[class$="-btn"]:hover {
  transition: 0.2s;
}

/* Modals */

.modal-body {
  text-align: justify;
  padding: 2rem !important;
}

.m-header {
  margin-bottom: 1.2rem;
}

.m-header p {
  display: flex;
  align-items: center;
  height: 2.5rem;
  margin: 0 !important;
}

.m-header i {
  opacity: 0.4;
}

.close-modal {
  top: 0;
  right: 0;
  padding-bottom: 20px;
}

.modal-speaker {
  border-radius: 100%;
  box-shadow: 0px 0px 5px #757575;
  transition: 0.2s;
}

.modal-speaker:hover {
  transition: 0.2s;
  opacity: 0.8;
}

.modal-body div {
  flex-wrap: wrap;
}

.modal-body img {
  margin-top: 20px;
}

.info-modal p:first-of-type {
  margin-top: 20px !important;
}

.info-modal p:last-of-type {
  margin-bottom: 0px !important;
}

.info-modal p {
  margin-left: 10px !important;
  margin-top: 15px !important;
  margin-bottom: 15px !important;
}

/* Stand */
.stand {
  border-radius: 5px;
  /* filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.33)); */
  transition: 0.2s;
}

.stand:hover {
  cursor: pointer;
  transform: scale(1.05);
  /* filter: drop-shadow(2px 4px 4px rgba(0, 0, 0, 0.33)); */
  transition: 0.2s ease-in-out;
}

/* Sponsor */

#sponsors {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
}

.sponsor-container {
  transition: 0.2s ease-in-out;
  height: 200px;
  width: 200px;
  margin: auto 60px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sponsor-container:hover {
  cursor: pointer;
  transform: scale(1.05);
  transition: 0.2s ease-in-out;
}

.sponsor {
  border-radius: 5px;
  transition: 0.2s;
  max-height: 90% !important;
  max-width: 90% !important;
}

.sponsor-text {
  margin-bottom: 7px !important;
}

.speaker-links i {
  font-size: 16px;
  padding: 4px;
  color: black;
}

.pixel-button {
  font-family: Arcade;
}

.close-modal {
  top: 20px;
  right: 20px;
  padding-bottom: 20px;
  font-family: 'Good Times';

}

.modal-close-btn {
  border: none;
  background: none;
  transition: 0.2s ease-in-out;
}

.modal-close-btn:hover {
  border: none;
  background: none;
  transition: 0.2s ease-in-out;
  transform: scale(1.2);
}

.modal-close-btn:focus {
  outline: none !important;
}

.big-modal .modal-dialog {
  max-width: 800px !important;
}

.medium-modal .modal-dialog {
  max-width: 550px !important;
}

/* TBA "Modals" */
.speaker-tba {
  -webkit-user-drag: none;
  cursor: pointer;
  border-radius: 5px;
  transition: 0.2s;
}

.speaker-jump {
  animation: mario-block 0.4s ease-in-out 1;
}

/* Video Carousel */

.carousel-item.carousel-item-next>.video iframe,
.carousel-item.carousel-item-prev>.video iframe {
  box-shadow: none;
}

.video {
  margin-bottom: 80px;
  margin-top: 15px;
}

.video iframe {
  width: 672px;
  height: 378px;
  border-radius: 15px;
  filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.33));
}

.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23d29d29' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E") !important;
  margin-bottom: 80px;
}

.carousel-control-next-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23d29d29' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E") !important;
  margin-bottom: 80px;
}

.carousel .carousel-indicators li {
  background-color: rgba(210, 157, 41, 0.5);
  border-radius: 100%;
  height: 15px;
  width: 15px;
}

.carousel .carousel-indicators li:nth-of-type(1) {
  margin-right: 20px;
}

.carousel .carousel-indicators .active {
  background-color: #e98d50;
}

#links-container-mindera a{
  transition: all 1s;
  
}

#links-container-mindera a:hover{
  transform: scale(1.2);
}

#links-accenture{
  width: 70%;
  margin: 0 auto;
}

#links-accenture div {
  gap:1.2rem;
}


@media (max-width: 768px) {
  #tabContent{
    width: 100%;
    flex-direction:column;
    text-align: center;
    border:1px solid var(--background-color);
    gap:0.1rem;
  }

  .nav-tabs .nav-link.active{
    border:#b9bcbe 1px solid !important;
  }

  #links-container{
    padding-top: 0 !important;
    flex-direction:column !important;
    justify-content: center;
    align-items: center;
    
  }
  #links-container a {
    padding:1.0rem;
    
  }
}




/* Gaming Sessions */

#discord-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 50px auto;
}

#banner-wrapper {
  display: flex;
  justify-content: center;
}

#discord {
  transition: 0.4s;
  width: 90%;
}

#discord:hover,
#banner-wrapper:hover>#discord {
  transition: 0.4s;
  transform: scale(1.05);
  filter: brightness(1.3);
}

#discord-mobile {
  display: none;
}

ela */ #zoom-wrapper {
  margin-bottom: 40px;
}

#zoom-wrapper strong {
  color: #72adf5;
}

#zoom-logo {
  filter: drop-shadow(0px 0px 8px #2d8cff);
  margin-bottom: 20px;
  transition: all 0.3s;
}

#zoom-logo:hover {
  opacity: 0.8;
  transform: scale(1.15);
}

#zoom-text {
  text-decoration: none !important;
}

#zoom-text strong {
  transition: all 0.3s;
}

#zoom-text strong:hover {
  opacity: 0.8;
  font-size: 18px;
}

.zoom-disabled {
  opacity: 0.7 !important;
  cursor: default;
  user-select: none;
  transform: none !important;
}

.center-pills {
  display: flex;
  justify-content: center;
  border: none;
  margin-bottom: 30px !important;
}

.nav-link {
  border: none;
  border-radius: 0 !important;
  outline: none !important;
  padding: 10px 100px !important;
  transition: all 0.2s;
}

.center-pills .active {
  background-color: #e98d50 !important;
}

#quinta-tab {
  border-top-left-radius: 10px !important;
  border-bottom-left-radius: 10px !important;
}

#sexta-tab {
  border-top-right-radius: 10px !important;
  border-bottom-right-radius: 10px !important;
}

.schedule-table {
  width: 65%;
  margin: 0 auto;
}

@media only screen and (max-width: 1024px) {
  .schedule-table {
    width: 75%;
  }
}


@media only screen and (max-width: 600px) {
  .schedule-table {
    width: 80%;
  }
}


.schedule-table tr {
  border-bottom: 1px solid var(--secondary);
}

.schedule-table tr td,
.schedule-table tr th {
  padding: 15px;
}

.nav-link:hover {
  background-color: #dde2e2 !important;
  transition: all 0.2s;
}

.center-pills .active:hover {
  background-color: #bd8d24 !important;
  transition: all 0.2s;
}

#horario {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.evento {
  display: flex;
  align-items: center;
  flex-direction: row;
  width: 100%;
  flex-wrap: wrap;
  border-radius: 0.75rem;
  padding: 1rem 1rem;
  max-width: 800px;
  margin-bottom: 2px;
}

.evento h6 {
  font-size: 20px;
  font-weight: bolder;
}

.evento span {
  font-size: 15px;
  font-weight: 300;
}

.evento span b {
  font-weight: 500;
}

.evento img {
  height: 90px;
  width: 90px;
  border-radius: 50%;
  margin-right: 30px;
  margin-left: 10px;
  object-fit: cover;
  border: 2px solid white;
}

.double-speaker>.double-speaker-wrapper {
  height: 90px;
  width: 90px;
  margin-right: 40px;
}

.double-speaker img {
  position: absolute;
  margin: 0 !important;
}

.double-speaker img:nth-child(2) {
  left: -10px;
  bottom: -10px;
  z-index: 1001;
}

.double-speaker img:nth-child(1) {
  top: -10px;
  left: 35px;
}

/* .double-speaker img:nth-child(1):hover {
    z-index: 1002;
} */

.evento span {
  font-size: 16px;
  font-weight: 300;
  padding-bottom: 1px;
}

.evento span b {
  font-weight: 500;
  color: #fff;
}

.evento-caixa-horario {
  border: 2px solid white;
  border-radius: 15px;
}

.descricao-evento {
  display: flex;
  flex-direction: column;
  justify-content: center;
  max-width: 80%;
  color: white;
}

.descricao-intervalo {
  display: flex !important;
  flex-direction: column;
  justify-content: center !important;
  align-items: center !important;
  width: 100%;
  color: white;
}

.descricao-intervalo .row {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  max-width: 80% !important;
  width: 600px;
}

.intervalo {
  max-width: 100% !important;
  display: flex !important;
  justify-content: center !important;
  align-items: center;
}

.box {
  width: 300px;
  height: 30px;
  border: 2px solid white;
  display: flex;
  justify-content: left;
  margin-top: 10px;
}

.loading {
  width: 30px;
  height: auto;
  margin-right: 2px;
  margin-top: 1px;
  margin-bottom: 1px;
  background-color: white;
}

.descricao-evento .row {
  width: 710px;
}

.descricao-evento i {
  width: 30px;
  text-align: center;
}

.descricao-evento i.bis {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1;
}

.descricao-evento span {
  font-weight: 400;
}

.descricao-evento span>b {
  font-weight: 600;
}

.evento-quinta-1 {
  background-color: #deb255;
}

.evento-quinta-2 {
  background-color: #e49c5e;
}

.evento-quinta-3 {
  background-color: #eb8566;
}

.evento-quinta-4 {
  background-color: #f16f6f;
}

.evento-sexta-1 {
  background-color: #5bc9e1;
}

.evento-sexta-2 {
  background-color: #64b9da;
}

.evento-sexta-intervalo {
  background-color: #6ca9d3;
}

.evento-sexta-3 {
  background-color: #7598cd;
}

.evento-sexta-4 {
  background-color: #7d88c6;
}

.evento-sexta-5 {
  background-color: #8678bf;
}

/* .evento-sexta-6 {
    background-color: #8678BF;
} */

.schedule-tba {
  background-color: #5bc9e1;
  box-shadow: 0px 0px 20px #5bc9e1;
}

.schedule-tba * {
  font-weight: bold;
  font-size: 18px;
}

.horario-mapa-division {
  margin-top: 3rem;
}

.map {
  background-color: white;
  border-radius: 0.6rem;
  transition: 0.2s;
  filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.33));
}

/* Rodapé */
.bi {
  font-size: 30px;
  padding: 13px;
}

#direitos {
  font-size: 16px;
  margin-top: 25px;
  padding-bottom: 30px;
  text-align: center;
  user-select: none;
  filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.33));
}

/* Tooltips */
.tooltip-inner {
  background-color: white !important;
  border: 2px solid black !important;
  color: black !important;
}

/* Media Queries */

@media only screen and (max-width: 1300px) {
  #sponsors-title {
    font-size: 40px !important;
  }

  .video iframe {
    width: 560px;
    height: 315px;
  }
}

@media only screen and (max-width: 1100px) {
  .video iframe {
    width: 448px;
    height: 252px;
  }
}

@media only screen and (max-width: 935px) {
  h1 {
    font-size: 55px !important;
  }

  .carousel-control-prev-icon,
  .carousel-control-next-icon {
    display: none !important;
  }

  .nav-link {
    padding: 10px 60px !important;
  }

  #footer-animation {
    margin: 50px 0px;
  }

  #last-edition {
    font-size: 35px;
    line-height: 1;
  }
}

@media only screen and (max-width: 768px) {
  #site {
    width: 100% !important;
  }

  /* This prevents background from being very zoomed in in mobile */
  #background {
    background-size: initial !important;
  }

  /* this is needed so that the header is not hidden by mobile browser ui */
  #header {
    /* fallback for browsers that do not support custom properties */
    height: 100vh !important;
    height: calc(var(--vh, 1vh) * 100) !important;
  }

  #intro-info {
    border: 2px solid red;
    flex-direction: column;
  }

  #logo-nei {
    margin-top: 0 !important;
  }

  #last-edition-wrapper #footer-animation {
    border: 5px double white;
    border-radius: 20px;
  }

  #last-edition-wrapper {
    margin-bottom: 0;
  }

  #footer-animation {
    padding: 15px 10px 15px 10px;
  }

  #last-edition {
    border: none;
    padding: 0;
    font-size: 25px;
  }

  .descricao-evento i {
    width: 40px;
  }

  .evento {
    margin-top: 20px !important;
  }

  .evento:nth-of-type(1) {
    margin-top: 10px !important;
  }

  .evento-texto-mais-pequeno span {
    font-size: 14px;
  }
}

@media only screen and (max-width: 576px) {
  h1 {
    font-size: 35px !important;
    word-wrap: wrap;
  }

  h4 {
    font-size: 20px !important;
  }

  h5 {
    font-size: 15px !important;
  }

  p {
    font-size: 15px !important;
  }

  #header-logo {
    height: 200px;
  }

  #content {
    padding: 20px 10px !important;
  }

  .carousel .carousel-indicators li {
    height: 20px;
    width: 20px;
  }

  #intro-info span {
    font-size: 15px;
  }

  #quinta-tab {
    border-top-left-radius: 10px !important;
    border-bottom-left-radius: 0px !important;
    border-top-right-radius: 10px !important;
    width: 250px;
  }

  #sexta-tab {
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
    width: 250px;
  }

  /* Banner */
  #discord-container {
    margin: 20px auto;
  }

  #discord {
    display: none;
  }

  #discord-mobile {
    display: initial;
    width: 100wd;
    max-width: 100wd;
  }

  /* Modal */
  .modal-body div {
    justify-content: center;
  }

  .info-modal p {
    margin-left: 0px !important;
  }

  .speaker-tba {
    padding: 20px 0px;
  }

  /* Horário */
  .evento {
    display: flex;
    flex-direction: row;
    width: 100%;
    flex-wrap: wrap;
    margin-bottom: -10px;
  }

  .evento img {
    margin-left: 0px;
  }

  .evento h6 {
    margin-top: 10px;
    font-weight: bolder;
  }

  .evento span {
    font-weight: 300;
  }

  .evento span b {
    font-weight: 500;
  }

  .evento img {
    margin-top: 5px;
  }

  .linha-evento {
    flex-wrap: wrap;
  }

  .info-evento {
    margin-top: 10px;
  }

  .descricao-evento {
    margin-bottom: 5px;
    width: 100%;
    max-width: 100%;
  }

  .descricao-evento .row {
    width: 120%;
  }

  .row {
    margin-bottom: 0;
  }

  #logo {
    width: 300px !important;
  }

  .sponsor-container {
    height: 200px;
  }

  #sponsors-title {
    font-size: 25px !important;
  }
}

@media only screen and (max-width: 455px) {

  /* Modal */
  .modal-body img {
    margin-top: 40px;
  }
}

@media only screen and (max-height: 650px) {
  #enrollment-text {
    display: none;
  }
}

/*No Scrollbar */

/* width */
::-webkit-scrollbar {
  display: none;
}

/* Animations */

@keyframes fade {
  from {
    /* visibility is only for scroll button
        if needed we can put this in other keyframe */
    visibility: visible;
    opacity: 0%;
  }

  to {
    visibility: visible;
    opacity: 100%;
  }
}

@keyframes scale {
  from {
    transform: scale(0.7);
  }

  to {
    transform: scale(1);
  }
}

@keyframes hover {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(10px);
  }

  100% {
    transform: translateY(0px);
  }
}

@keyframes modal-close-btn {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.3);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes calendar-spin {
  0% {
    transform: rotate(0deg);
  }

  35% {
    transform: rotate(360deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes alarm-shake {
  0% {
    transform: rotate(-15deg);
  }

  50% {
    transform: rotate(15deg);
  }

  100% {
    transform: rotate(-15deg);
  }
}

@keyframes location-pointing {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(-20px);
  }

  100% {
    transform: translateY(0px);
  }
}

@keyframes level-up-icon {
  0% {
    transform: translateY(-3px);
  }

  100% {
    transform: translateY(3px);
  }
}

@keyframes mario-block {
  0% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(-40px);
  }

  100% {
    transform: translateY(0px);
  }
}

/* Fonts */

@font-face {
  font-family: Next Wave;
  src: url("../fonts/NextWave3D.ttf") format("opentype");
}

@font-face {
  font-family: Roboto;
  src: url("../fonts/Roboto/Roboto-Regular.ttf") format("opentype");
}

@font-face {
  font-family: Arcade;
  src: url("../fonts/Arcade.ttf") format("opentype");
}

@font-face {
  font-family: "Next Wave 2D";
  src: url("../fonts/NextWave.ttf") format("opentype");
}

/* Loading animation */
.dot-container {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dot-animation {
  position: relative;
  left: -9999px;
  width: 15px;
  height: 15px;
  border-radius: 7.5px;
  background-color: #e98d50;
  color: #e98d50;
  box-shadow: 9974px 0 0 0 #e98d50, 9999px 0 0 0 #e98d50, 10024px 0 0 0 #e98d50;
  animation: dotTyping 1.5s infinite linear;
}

@keyframes dotTyping {
  0% {
    box-shadow: 9974px 0 0 0 #e98d50, 9999px 0 0 0 #e98d50,
      10024px 0 0 0 #e98d50;
  }

  16.667% {
    box-shadow: 9974px -10px 0 0 #e98d50, 9999px 0 0 0 #e98d50,
      10024px 0 0 0 #e98d50;
  }

  33.333% {
    box-shadow: 9974px 0 0 0 #e98d50, 9999px 0 0 0 #e98d50,
      10024px 0 0 0 #e98d50;
  }

  50% {
    box-shadow: 9974px 0 0 0 #e98d50, 9999px -10px 0 0 #e98d50,
      10024px 0 0 0 #e98d50;
  }

  66.667% {
    box-shadow: 9974px 0 0 0 #e98d50, 9999px 0 0 0 #e98d50,
      10024px 0 0 0 #e98d50;
  }

  83.333% {
    box-shadow: 9974px 0 0 0 #e98d50, 9999px 0 0 0 #e98d50,
      10024px -10px 0 0 #e98d50;
  }

  100% {
    box-shadow: 9974px 0 0 0 #e98d50, 9999px 0 0 0 #e98d50,
      10024px 0 0 0 #e98d50;
  }
}